from db import dbGetMany, dbGetOne

def getTenants(user, token_info):
    return dbGetMany(user, token_info, 
        {
            "statement": """
SELECT id, salutation, firstname, lastname, 
       address1, address2, address3, zip, city,
       phone1, phone2, iban, account 
  FROM tenant_t
                         """, 
            "params": ()
        }
    )

def getTenant(user, token_info, tenantId=None):
    return dbGetOne(user, token_info, 
        {
            "statement": """
SELECT id, salutation, firstname, lastname, 
       address1, address2, address3, zip, city,
       phone1, phone2, iban, account 
  FROM tenant_t
  WHERE id = %s
                         """, 
            "params": (tenantId, )
        }
    )

